%define rel 3
%define rhrel %([ -f /etc/redhat-release ] && rpm -q --qf %{VERSION} redhat-release)
%define rhtag %([ -n "%{rhrel}" ] && echo .%{rhrel})
BuildPreReq: gcc, grep
%define gccok "%(gcc -dumpversion | grep 2.96)"
%if %{gccok}
%define gccreq gcc = 2.96
%define gcc gcc
%else
%define gccreq compat-gcc = 7.3
%define gcc gcc296
%endif

Summary: The Ultimate Packer for eXecutables
Name: upx
Version: 1.24
Release: %{rel}%{rhtag}
ExclusiveOS: Linux
Source: http://upx.sourceforge.net/download/%{name}/%{name}-%{version}-src.tar.gz
Patch: upx-%{version}-ucl.patch
Vendor: Markus Oberhumer <markus@oberhumer.com> & Laszlo Molnar <ml1050@users.sourceforge.net>
URL: http://upx.sourceforge.net
Packager: Peter Soos <sp@osb.hu>
License: GPL
Group: Applications/File
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: /usr
Requires: ucl >= 1.01
BuildPreReq: ucl >= 1.01, ucl-devel >= 1.01, perl >= 5.0.5, %{gccreq}

%description
UPX is an advanced executable file compressor. UPX will typically
reduce the file size of programs and DLLs by around 50%-70%, thus
reducing disk space, network load times, download times and
other distribution and storage costs.

%changelog
* Tue May 06 2003 Peter Soos <sp@osb.hu>
- Rebuilt under RedHat Linux 9
- Moved to version 1.24

* Fri Aug 23 2002 Peter Soos <sp@osb.hu>
- Rebuilt under RedHat Linux 7.3
- Moved to version 1.22
- Built from sources with free UCL compression library

* Fri Oct 05 2001 Peter Soos <sp@osb.hu>
- Rebuilt under RedHat Linux 7.2 beta

* Fri Sep 07 2001 Peter Soos <sp@osb.hu>
- Moved to version 1.20

* Sat May 05 2001 Peter Soos <sp@osb.hu>
- Moved to version 1.08

* Fri May 04 2001 Peter Soos <sp@osb.hu>
- Rebuilt under RedHat Linux 7.1

* Wed Apr 25 2001 Peter Soos <sp@osb.hu>
- Rebuilt for RedHat Linux 7.0

* Sun Mar 11 2001 Peter Soos <sp@osb.hu>
- Moved to version 1.07
- Package is now relocatable

* Sun Feb 11 2001 Peter Soos <sp@osb.hu>
- Moved to version 1.06
- Corrected the Copyright: entry to non-free because of the precompiled UPX
  versions are linked against the NRV compression library instead of the UCL
  library. Using the same compression algorithms, NRV achieves a better
  compression ratio. NRV is not publicly available, though, and probably never
  will be.
- Corrected the Group: entry to Applications/File

* Thu Nov 02 2000 Peter Soos <sp@osb.hu>
- Moved to version 1.02

* Sat Apr 15 2000 Peter Soos <sp@osb.hu>
- Moved to version 1.01

* Fri Jan 21 2000 Peter Soos <sp@osb.hu>
- Moved to version 0.94

* Mon Nov 21 1999 Peter Soos <sp@osb.hu>
- Initial RPM package

%prep
%setup
%patch -p1 -b .ucl

%build
cd src
make "CC=/usr/bin/%{gcc}" "CFLAGS=${RPM_OPT_FLAGS}" target=linux
cd ../doc
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/man1
install -m 755 src/upx %{buildroot}/%{_bindir}
install -m 644 doc/upx.1 %{buildroot}/%{_mandir}/man1

%clean
rm -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%doc BUGS LICENSE NEWS README* THANKS doc/upx.doc doc/upx.html
%attr(0755, root, root) %{_bindir}/upx
%{_mandir}/man1/upx.1*
